Subject: Re: [RFC PATCH 0/1] adding user.hideTimezone for setting UTC timezone

From: Shengfa Lin <[email-masked]>
Date: Sat, 3 Oct 2020 03:50:50 +0000

Junio C Hamano <[email-masked]> writes:

>> If we have a setting of "core.recordTimeZone", do we need to make it
>> as a command option as Junio suggested earlier?
>
> Usually we add command line option --[no-]record-time-zone first
> without configuration option when introducing a new features like
> this one.  Once the feature proves useful, we'd add a matching
> configuration variable for convenience, but leave the command line
> option (negative form in this case) so that a configured per-user
> default can be overridden as needed.

Any recommendation as to where to add this command line option?
Should the option be added separately in "git merge", "git rebase",
"git commit", "git pull" and other places as OPT_BOOL?
Or could it be added directly to handle_options in git.c?
If added to git.c, it will only be added it once.
Then an environment variable(such as GIT_RECORD_TIME_ZONE) can be added
to save the option and datestamp in date.c can set offset accordingly.